<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:div id="globalDiv">
        <h1>
            <ui:insert name="pageTitle"/>
        </h1>
        <h:form id="globalForm">
            <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
            <gri:panel pid="globalPanel">
                <f:facet name="header">
                    <s:div>
                        <ui:insert name="mainPanelTitle"/>
                    </s:div>
                </f:facet><!-- SUT Selection -->
                <ui:include src="/configuration/initiatorFrame.xhtml">
                    <ui:param name="diagramImg"
                              value="diag/LAB_#{managedBean.simulatedActor.keyword}_#{managedBean.sutActorKeyword}_send.png"/>
                    <ui:param name="currentConfig" value="#{userPreferencesManagerBean.selectedSUT}"/>
                    <ui:param name="simuFacility" value="#{managedBean.sendingFacility}"/>
                    <ui:param name="simuApplication" value="#{managedBean.sendingApplication}"/>
                    <ui:param name="sectionsToReRender"
                              value="sendMessageButtonDiv"/>
                    <ui:param name="simulatorConfigurationName"
                              value="#{managedBean.selectedDomain.name} #{managedBean.simulatedActor.name}"/>
                    <ui:param name="availableSuts" value="#{managedBean.getAvailableSuts()}"/>
                </ui:include>
                <br/>
                <s:div id="messageConfigurationMainDiv"
                       rendered="#{managedBean.hl7Messages == null}"><!-- if necessary insert there the message structure selection -->
                    <s:div id="messageStructureSelectionDiv">
                        <ui:insert name="messageStructureSelection"/>
                    </s:div>
                    <br/>
                    <s:div id="objectSelectionDiv"
                           rendered="#{managedBean.selectedEncounter == null and managedBean.selectPatient}">
                        #{dataTableStateHolder.setDescendingOn('lastChanged')}
                        <!-- (work) order / awos selection -->
                        <gri:panel rendered="#{managedBean.selectionType == 'ORDER'}" pid="orderSelectionP">
                            <f:facet name="header">#{messages['gazelle.ordermanager.OrderSelection_3']}</f:facet>
                            <a4j:commandLink actionListener="#{managedBean.setDisplayEncounterList(true)}"
                                             render="objectSelectionDiv" styleClass="gzl-btn-blue"
                                             value="#{messages['gazelle.ordermanager.CreateNewResultFromScratch']}"/>
                            <!-- filters -->
                            <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                                <ui:define name="filter_buttons">
                                    <a4j:commandLink title="#{messages['gazelle.ordermanager.RefreshResults']}"
                                                     render="orderSelectionP">
                                        <span class="gzl-icon-refresh"/>
                                    </a4j:commandLink>
                                    <a4j:commandLink title="#{messages['gazelle.hl7.validator.ResetCriteria']}"
                                                     actionListener="#{managedBean.orderFilter.reset()}"
                                                     render="orderSelectionP">
                                        <span class="gzl-icon-times-circle"/>
                                    </a4j:commandLink>
                                </ui:define>
                                <ui:include src="/common/filtersOnOrder.xhtml">
                                    <ui:param name="filterClass" value="#{managedBean.orderFilter}"/>
                                    <ui:param name="formId" value="orderSelectionP"/>
                                </ui:include>
                            </ui:decorate>
                            <!-- BATTERY-CENTRIC: display orders -->
                            #{dataTableStateHolder.setDescendingOn('lastChanged')}
                            <rich:dataTable value="#{managedBean.orderFilter.getOrders()}" var="orderVar"
                                            rows="#{dataScrollerMemory.numberOfResultsPerPage}" id="orders1Table"
                                            render="ds">
                                <ui:include src="/common/orderColumns.xhtml">
                                    <ui:param name="managedBean" value="#{managedBean}"/>
                                    <ui:param name="currentOrder" value="#{orderVar}"/>
                                    <ui:param name="displayEncounterInfo" value="true"/>
                                </ui:include>
                                <g:column>
                                    <ui:define name="header">#{messages['users.Action']}</ui:define>
                                    <a4j:commandLink title="#{messages['gazelle.ordermanager.Select']}"
                                                     actionListener="#{managedBean.setSelectedOrder(orderVar)}"
                                                     render="messageConfigurationMainDiv">
                                        <span class="fa fa-check-square-o gzl-text-blue"/>
                                    </a4j:commandLink>
                                </g:column>
                                <f:facet name="footer">
                                    <ui:include src="/util/datatableFooter.xhtml">
                                        <ui:param name="dataScrollerId" value="ds"/>
                                        <ui:param name="dataTableId" value="orders1Table"/>
                                    </ui:include>
                                </f:facet>
                            </rich:dataTable>
                        </gri:panel>
                        <!-- SPECIMEN-CENTRIC/CONTAINER-CENTRIC: display specimens -->
                        <gri:panel pid="specimenSelectionP" rendered="#{managedBean.selectionType == 'SPECIMEN'}">
                            <f:facet name="header">#{messages['gazelle.ordermanager.SpecimenSelection']}</f:facet>
                            <a4j:commandLink actionListener="#{managedBean.setDisplayEncounterList(true)}"
                                             render="objectSelectionDiv" styleClass="gzl-btn-blue"
                                             value="#{messages['gazelle.ordermanager.CreateNewResultFromScratch']}"/>
                            <br/><br/>
                            <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                                <ui:define name="filter_buttons">
                                    <a4j:commandLink title="#{messages['gazelle.ordermanager.RefreshResults']}"
                                                     render="specimenSelectionP">
                                        <span class="gzl-icon-refresh"/>
                                    </a4j:commandLink>
                                    <a4j:commandLink title="#{messages['gazelle.hl7.validator.ResetCriteria']}"
                                                     actionListener="#{managedBean.specimenFilter.reset()}"
                                                     render="specimenSelectionP">
                                        <span class="gzl-icon-times-circle"/>
                                    </a4j:commandLink>
                                </ui:define>
                                <ui:include src="/common/filtersOnSpecimen.xhtml">
                                    <ui:param name="filterClass" value="#{managedBean.specimenFilter}"/>
                                    <ui:param name="formId" value="specimenSelectionP"/>
                                </ui:include>
                            </ui:decorate>
                            #{dataTableStateHolder.setDescendingOn('lastChanged')}
                            <rich:dataTable value="#{managedBean.specimenFilter.getSpecimens()}" var="spm"
                                            rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                            id="spmlistall" render="ds">
                                <ui:include src="/lab/specimenColumns.xhtml">
                                    <ui:param name="specimen" value="#{spm}"/>
                                </ui:include>
                                <g:column>
                                    <ui:define name="header">#{messages['gazelle.ordermanager.Creator']}</ui:define>
                                    <h:outputText value="#{spm.creator}"/>
                                </g:column>
                                <g:column sortBy="#{'lastChanged'}" sortOrder="#{dataTableStateHolder.sortOrders['lastChanged']}">
                                    <ui:define name="header">#{messages['gazelle.ordermanager.CreationDate_2']}
                                    </ui:define>
                                    <g:date value="#{spm.lastChanged}"/>
                                </g:column>
                                <g:column>
                                    <ui:define name="header">#{messages['users.Action']}</ui:define>
                                    <a4j:commandLink title="#{messages['gazelle.ordermanager.Select']}"
                                                     actionListener="#{managedBean.selectSpecimen(spm)}"
                                                     render="messageConfigurationMainDiv">
                                        <span class="fa fa-check-square-o gzl-text-blue"/>
                                    </a4j:commandLink>
                                </g:column>
                                <f:facet name="footer">
                                    <ui:include src="/util/datatableFooter.xhtml">
                                        <ui:param name="dataScrollerId" value="ds"/>
                                        <ui:param name="dataTableId" value="spmlistall"/>
                                    </ui:include>
                                </f:facet>
                            </rich:dataTable>
                        </gri:panel>
                        <!-- ANALYZER case -->
                        <gri:panel pid="awosSelectionP" rendered="#{managedBean.selectionType == 'AWOS'}">
                            <f:facet name="header">#{messages['gazelle.ordermanager.AWOSSelection']}</f:facet>
                            <a4j:commandLink actionListener="#{managedBean.setDisplayEncounterList(true)}"
                                             render="objectSelectionDiv" styleClass="gzl-btn-blue"
                                             value="#{messages['gazelle.ordermanager.CreateNewResultFromScratch']}"/>
                            <br/><br/>
                            <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                                <ui:define name="filter_buttons">
                                    <a4j:commandLink title="#{messages['gazelle.ordermanager.RefreshResults']}"
                                                     render="awosSelectionP">
                                        <span class="gzl-icon-refresh"/>
                                    </a4j:commandLink>
                                    <a4j:commandLink title="#{messages['gazelle.hl7.validator.ResetCriteria']}"
                                                     actionListener="#{managedBean.containerFilter.reset()}"
                                                     render="awosSelectionP">
                                        <span class="gzl-icon-times-circle"/>
                                    </a4j:commandLink>
                                </ui:define>
                                <ui:include src="/common/filtersOnContainer.xhtml">
                                    <ui:param name="filterClass" value="#{managedBean.containerFilter}"/>
                                    <ui:param name="formId" value="awosSelectionP"/>
                                </ui:include>
                            </ui:decorate>
                            #{dataTableStateHolder.setDescendingOn('lastChanged')}
                            <rich:dataTable value="#{managedBean.containerFilter.getContainers()}" var="cont"
                                            rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                            id="saclist" render="ds">
                                <g:column>
                                    <ui:define name="header">#{messages['gazelle.ordermanager.ContainerIdentifier']}</ui:define>
                                    <h:outputText value="#{cont.containerIdentifier}"/>
                                    <ui:decorate template="/layout/popover/_popover_on_icon.xhtml">
                                        <ui:param name="id" value="det#{cont.id}"/>
                                        <ui:param name="icon_class" value="gzl-icon-question-circle"/>
                                        <ui:param name="placement" value="#{messages['gazelle.ordermanager.Right']}"/>
                                        <ui:define name="content">
                                            <ui:include src="/lab/containerDetails.xhtml">
                                                <ui:param name="container" value="#{cont}"/>
                                                <ui:param name="displayOrders" value="false"/>
                                            </ui:include>
                                        </ui:define>
                                    </ui:decorate>
                                </g:column>
                                <g:column>
                                    <ui:define name="header">#{messages['gazelle.ordermanager.Creator']}</ui:define>
                                    <h:outputText value="#{cont.creator}"/>
                                </g:column>
                                <g:column sortBy="#{'lastChanged'}"
                                          sortOrder="#{dataTableStateHolder.sortOrders['lastChanged']}">
                                    <ui:define name="header">#{messages['gazelle.ordermanager.CreationDate_2']}
                                    </ui:define>
                                    <g:date value="#{cont.lastChanged}"/>
                                </g:column>
                                <g:column>
                                    <ui:define name="header">#{messages['users.Action']}</ui:define>
                                    <a4j:commandLink title="#{messages['gazelle.ordermanager.Select']}"
                                                     actionListener="#{managedBean.selectSpecimen(cont.getSpecimen())}"
                                                     render="messageConfigurationMainDiv">
                                        <span class="fa fa-check-square-o gzl-text-blue"/>
                                    </a4j:commandLink>

                                </g:column>
                                <f:facet name="footer">
                                    <ui:include src="/util/datatableFooter.xhtml">
                                        <ui:param name="dataScrollerId" value="ds"/>
                                        <ui:param name="dataTableId" value="saclist"/>
                                    </ui:include>
                                </f:facet>
                            </rich:dataTable>
                        </gri:panel>
                        <!-- Result from scratch -->
                        <gri:panel rendered="#{managedBean.selectionType == 'ENCOUNTER'}">
                            <f:facet name="header">#{messages['gazelle.ordermanager.EncounterSelection']}</f:facet>
                            <a4j:commandLink actionListener="#{managedBean.setDisplayEncounterList(false)}"
                                             render="objectSelectionDiv" styleClass="gzl-btn"
                                             value="#{messages['gazelle.ordermanager.Back']}"/>
                            <a4j:commandLink actionListener="#{managedBean.displayAvailableCountries()}"
                                             value="#{messages['gazelle.ordermanager.NewPatient']}"
                                             render="objectSelectionDiv" styleClass="gzl-btn-blue"/>
                            <a4j:commandLink actionListener="#{managedBean.setSelectionType('PATIENT')}"
                                             value="#{messages['gazelle.ordermanager.ExistingPatient']}"
                                             render="objectSelectionDiv" styleClass="gzl-btn-blue"/>
                            <a4j:commandLink actionListener="#{managedBean.skipPatientSelection()}"
                                             rendered="#{managedBean.simulatedActor.keyword.equals('ANALYZER')}"
                                             value="#{messages['gazelle.ordermanager.SkipPatientCreation']}"
                                             styleClass="gzl-btn-orange"
                                             render="messageConfigurationMainDiv"/>
                            <br/><br/>
                            <f:subview id="encFilterView">
                                <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                                    <ui:define name="filter_buttons">
                                        <a4j:commandLink title="#{messages['gazelle.ordermanager.RefreshResults']}"
                                                         render="encounterSelection">
                                            <span class="gzl-icon-refresh"/>
                                        </a4j:commandLink>
                                        <a4j:commandLink title="#{messages['gazelle.hl7.validator.ResetCriteria']}"
                                                         actionListener="#{managedBean.encounterFilter.reset()}"
                                                         render="encounterSelection">
                                            <span class="gzl-icon-times-circle"/>
                                        </a4j:commandLink>
                                    </ui:define>
                                    <ui:include src="/common/filtersOnEncounter.xhtml">
                                        <ui:param name="formId" value="encounterSelection"/>
                                        <ui:param name="filterClass" value="#{managedBean.encounterFilter}"/>
                                    </ui:include>
                                </ui:decorate>
                            </f:subview>
                            #{dataTableStateHolder.setDescendingOn('creationDate')}
                            <rich:dataTable id="encountersTable"
                                            value="#{managedBean.encounterFilter.getEncounterFiltered()}"
                                            var="encounter"
                                            rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                            render="ds">
                                <ui:include src="/common/encounterColumns.xhtml">
                                    <ui:param name="encounter" value="#{encounter}"/>
                                    <ui:param name="displayPatientInfo"
                                              value="true"/>
                                    <ui:param name="extendedTable"
                                              value="false"/>
                                </ui:include>
                                <g:column>
                                    <ui:define name="header">#{messages['users.Action']}</ui:define>
                                    <a4j:commandLink title="#{messages['gazelle.ordermanager.Select']}"
                                                     actionListener="#{managedBean.selectEncounter(encounter)}"
                                                     render="messageConfigurationMainDiv">
                                        <span class="gzl-icon-medkit"/>
                                    </a4j:commandLink>
                                </g:column>
                                <f:facet name="footer">
                                    <ui:include src="/util/datatableFooter.xhtml">
                                        <ui:param name="dataScrollerId" value="ds"/>
                                        <ui:param name="dataTableId" value="encountersTable"/>
                                    </ui:include>
                                </f:facet>
                            </rich:dataTable>
                        </gri:panel><!-- Select an existing patient -->
                        <gri:panel rendered="#{managedBean.selectionType == 'DDS'}">
                            <f:facet name="header">
                                #{messages['gazelle.ordermanager.ChooseACountryForTheGeneratedPatient']}
                            </f:facet>
                            <a4j:commandLink actionListener="#{managedBean.onChangeActionEvent()}"
                                             render="objectSelectionDiv" styleClass="gzl-btn"
                                             value="#{messages['gazelle.ordermanager.Select_2']}"/>
                            <a4j:commandLink actionListener="#{managedBean.setSelectionType('PATIENT')}"
                                             value="#{messages['gazelle.ordermanager.ExistingPatient']}"
                                             render="objectSelectionDiv" styleClass="gzl-btn-blue"/>
                            <a4j:commandLink actionListener="#{managedBean.skipPatientSelection()}"
                                             rendered="#{managedBean.simulatedActor.keyword.equals('ANALYZER')}"
                                             value="#{messages['gazelle.ordermanager.SkipPatientCreation']}"
                                             styleClass="gzl-btn-orange"
                                             render="messageConfigurationMainDiv"/>
                            <br/><br/>
                            <ui:include src="/patient/patientGenerator.xhtml">
                                <ui:param name="patientGeneratorBean" value="#{managedBean}"/>
                                <ui:param name="displayAllCriteria" value="true"/>
                                <ui:param name="ddsEndpoint"
                                          value="#{applicationConfiguration.getValueOfVariable('dds_ws_endpoint')}"/>
                            </ui:include>
                            <f:facet name="footer">
                                <a4j:commandButton id="generateButton"
                                                   value="#{messages['gazelle.ordermanager.Generate']}"
                                                   actionListener="#{managedBean.createNewPatientAndEncounter()}"
                                                   styleClass="gzl-btn-blue" render="messageConfigurationMainDiv"/>
                                <a4j:commandButton value="#{messages['users.Cancel']}"
                                                   actionListener="#{managedBean.cancelPatientCreation()}"
                                                   styleClass="gzl-btn-orange" render="objectSelectionDiv"/>
                            </f:facet>
                        </gri:panel>
                        <gri:panel id="patientSelection"
                                   rendered="#{managedBean.selectionType == 'PATIENT'}">
                            <f:facet name="header">#{messages['gazelle.ordermanager.SelectAnExistingPatient']}</f:facet>
                            <a4j:commandLink actionListener="#{managedBean.onChangeActionEvent()}"
                                             render="objectSelectionDiv" styleClass="gzl-btn"
                                             value="#{messages['gazelle.ordermanager.Select']}"/>
                            <a4j:commandLink actionListener="#{managedBean.displayAvailableCountries()}"
                                             value="#{messages['gazelle.ordermanager.NewPatient']}"
                                             render="objectSelectionDiv" styleClass="gzl-btn-blue"/>
                            <a4j:commandLink actionListener="#{managedBean.skipPatientSelection()}"
                                             rendered="#{managedBean.simulatedActor.keyword.equals('ANALYZER')}"
                                             value="#{messages['gazelle.ordermanager.SkipPatientCreation']}"
                                             styleClass="gzl-btn-orange"
                                             render="messageConfigurationMainDiv"/>
                            <br/><br/>
                            <f:subview id="patient_filter">
                                <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                                    <ui:define name="filter_buttons">
                                        <a4j:commandLink title="#{messages['gazelle.ordermanager.RefreshResults']}"
                                                         render="patientSelection">
                                            <span class="gzl-icon-refresh"/>
                                        </a4j:commandLink>
                                        <a4j:commandLink title="#{messages['gazelle.hl7.validator.ResetCriteria']}"
                                                         actionListener="#{managedBean.patientFilter.reset()}"
                                                         render="patientSelection">
                                            <span class="gzl-icon-times-circle"/>
                                        </a4j:commandLink>
                                    </ui:define>
                                    <ui:include src="/common/filtersOnPatient.xhtml">
                                        <ui:param name="formId" value="patientSelection"/>
                                        <ui:param name="filterClass" value="#{managedBean.patientFilter}"/>
                                    </ui:include>
                                </ui:decorate>
                            </f:subview>
                            #{dataTableStateHolder.setDescendingOn('creationDate')}
                            <rich:dataTable value="#{managedBean.patientFilter.getPatientsFiltered()}" var="patient"
                                            rows="#{dataScrollerMemory.numberOfResultsPerPage}" id="patientsTable"
                                            render="ds">
                                <ui:include src="/common/patientColumns.xhtml">
                                    <ui:param name="patient" value="#{patient}"/>
                                </ui:include>
                                <g:column>
                                    <ui:define name="header">#{messages['users.Action']}</ui:define>
                                    <a4j:commandLink title="#{messages['gazelle.ordermanager.Select']}"
                                                     actionListener="#{managedBean.createANewEncounterForPatient(patient)}"
                                                     render="messageConfigurationMainDiv">
                                        <span class="gzl-icon-medkit"/>
                                    </a4j:commandLink>
                                </g:column>
                                <f:facet name="footer">
                                    <ui:include src="/util/datatableFooter.xhtml">
                                        <ui:param name="dataScrollerId" value="ds"/>
                                        <ui:param name="dataTableId" value="patientsTable"/>
                                    </ui:include>
                                </f:facet>
                            </rich:dataTable>
                        </gri:panel>
                    </s:div><!-- Display informations about selected encounter and patient -->
                    <s:div id="selectedObjectDiv">
                        <gri:panel rendered="#{managedBean.selectedEncounter != null}" pid="selectedEncounterPanel">
                            <f:facet name="header">#{messages['gazelle.ordermanager.SelectedPatientAndEncounter']}
                            </f:facet>
                            <ui:include src="/common/displayPatientEncounter.xhtml">
                                <ui:param name="patient" value="#{managedBean.selectedPatient}"/>
                                <ui:param name="encounter" value="#{managedBean.selectedEncounter}"/>
                            </ui:include>
                            <f:facet name="footer">
                                <a4j:commandButton value="#{messages['gazelle.ordermanager.SelectAnotherEncounter']}"
                                                   actionListener="#{managedBean.setSelectedEncounter(null)}"
                                                   styleClass="gzl-btn-orange"
                                                   immediate="true"
                                                   render="messageConfigurationMainDiv"/>
                            </f:facet>
                        </gri:panel><!-- Result configuration -->
                        <gri:panel rendered="#{managedBean.selectedEncounter != null or not managedBean.selectPatient}"
                                   pid="resultConfiguration">
                            <f:facet name="header">#{messages['gazelle.ordermanager.Results']}</f:facet>
                            <f:subview id="list_obx" rendered="#{managedBean.selectedObservation == null}">
                                <s:div rendered="#{not managedBean.newObject}">
                                    <ui:insert name="resultConfiguration"/>
                                </s:div>
                                <s:div rendered="#{managedBean.newObject}">
                                    <ui:insert name="newResultConfiguration"/>
                                </s:div>
                                <br/>
                            </f:subview>
                            <f:subview id="obx_view" rendered="#{managedBean.selectedObservation != null}">
                                <!-- rich panel for filling out the observation details -->
                                <ui:include src="/lab/newObservationPanel.xhtml">
                                    <ui:param name="managedBean" value="#{managedBean}"/>
                                </ui:include>
                            </f:subview><!-- Send button -->
                            <f:facet name="footer">
                                <a4j:commandButton value="#{messages['gazelle.ordermanager.Reset']}" immediate="true"
                                                   styleClass="gzl-btn-red"
                                                   actionListener="#{managedBean.setHl7Messages(null)}"
                                                   render="globalDiv"/>
                                <a4j:commandButton
                                        rendered="#{not managedBean.newObject and managedBean.selectedObservation == null}"
                                        value="#{messages['gazelle.ordermanager.SendMessage']}"
                                        actionListener="#{managedBean.sendMessage()}"
                                        styleClass="gzl-btn-blue"
                                        render="globalDiv"/>
                                <a4j:commandButton
                                        rendered="#{managedBean.newObject}"
                                        value="#{messages['gazelle.ordermanager.AddObservations']}"
                                        styleClass="gzl-btn-green"
                                        actionListener="#{managedBean.saveObjectAndGetItReadyForObservations()}"
                                        render="resultConfiguration"/>
                            </f:facet>
                        </gri:panel>
                    </s:div>
                </s:div><!-- Exchange messages -->
                <s:div id="hl7MessagesDiv">
                    <gri:panel rendered="#{managedBean.hl7Messages != null}">
                        <f:facet name="header">#{messages['gazelle.ordermanager.TestReport']}</f:facet>
                        <ui:include src="/messages/message_table.xhtml">
                            <ui:param name="hl7Messages" value="#{managedBean.hl7Messages}"/>
                        </ui:include>
                        <f:facet name="footer">
                            <a4j:commandButton value="#{messages['gazelle.ordermanager.PerformAnotherTest']}"
                                               styleClass="gzl-btn-blue"
                                               actionListener="#{managedBean.setHl7Messages(null)}"
                                               render="globalDiv"/>
                        </f:facet>
                    </gri:panel>
                </s:div>
            </gri:panel>
        </h:form>
    </s:div>
</ui:composition>
